﻿using System.Collections.Immutable;
using Connected.Entities;

namespace Connected.ServiceModel.Search;

public interface ISearchService
{
	Task<ImmutableList<TEntity>> Query<TEntity>(string catalog, string criteria);

	Task Update<TEntity>(string catalog, TEntity entity)
		where TEntity : IEntity;

	Task Update<TEntity>(string catalog, IEnumerable<TEntity> entity)
		where TEntity : IEntity;
}
