﻿using Connected.Annotations;
using Connected.Entities.Annotations;
using Connected.Entities.Consistency;

namespace Connected.ServiceModel.Search;

[Persistence(Persistence = ColumnPersistence.InMemory)]
public record SearchEntity<TPrimaryKey> : ConsistentEntity<TPrimaryKey>, ISearchEntity<TPrimaryKey>
	where TPrimaryKey : notnull
{
	[Ordinal(0)]
	public int Author { get; init; }

	[Ordinal(1)]
	public DateTimeOffset? Created { get; init; }

	[Ordinal(2)]
	public int Language { get; init; }

	[Ordinal(3), Nullable]
	public string? Tags { get; init; }
}
