﻿using System.Collections.Immutable;

namespace Connected.ServiceModel.Storage;

public interface IStorageService
{
	Task<ImmutableList<IFile>?> QueryFiles(DirectoryArgs args);

	Task<ImmutableList<IDirectory>?> QueryDirectories(DirectoryArgs args);

	Task<byte[]?> SelectFile(FileArgs args);

	Task UpdateFile(UpdateFileArgs args);

	Task DeleteFile(DeleteFileArgs args);

	Task MoveFile(MoveFileArgs args);

	Task InsertDirectory(InsertDirectoryArgs args);

	Task UpdateDirectory(UpdateDirectoryArgs args);

	Task DeleteDirectory(DeleteDirectoryArgs args);
}
